import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

public class ChatServer {

	public static void main(String[] args) {
		int timeoutsecs = 6000; 
		int port = 8800; 
		Socket clientSocket; 
		ServerSocket serverSocket=null;
		try {
			String myIP=TCP_IP_Lib.getMyIP();
			serverSocket = new ServerSocket(port);
			System.out.println("Server Started at IP: "+myIP);
			for(;;) { 
				// wait for the next client connection 
				System.out.println("Waiting for connection...");
				clientSocket=serverSocket.accept();
				System.out.println("Connection Attempt");
				// Pass the new socket to the socket handler
				new Thread(new MyServerSocket(clientSocket)).start();
			}
		} catch (IOException e) {
			System.out.println("Cannot open Server Socket!");
			e.printStackTrace();
		} 
		if (serverSocket!=null) {
			try {
				serverSocket.close();
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
		System.out.println("Server Stopped");
	}
}
