import java.awt.EventQueue;

import javax.swing.JDialog;

import java.awt.GridBagLayout;

import javax.swing.JLabel;

import java.awt.GridBagConstraints;

import javax.swing.JTextField;

import java.awt.Insets;

import javax.swing.JButton;

import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;


public class HostDialog extends JDialog {
	private static final long serialVersionUID = 1L;
	private JTextField serverTextField;

	/**
	 * Create the dialog.
	 */
	public HostDialog() {
		setBounds(100, 100, 450, 55);
		GridBagLayout gridBagLayout = new GridBagLayout();
		gridBagLayout.columnWidths = new int[]{0, 0, 0, 0};
		gridBagLayout.rowHeights = new int[]{0, 0};
		gridBagLayout.columnWeights = new double[]{0.0, 1.0, 0.0, Double.MIN_VALUE};
		gridBagLayout.rowWeights = new double[]{0.0, Double.MIN_VALUE};
		getContentPane().setLayout(gridBagLayout);
		
		JLabel lblHost = new JLabel("Host:");
		GridBagConstraints gbc_lblHost = new GridBagConstraints();
		gbc_lblHost.insets = new Insets(0, 0, 0, 5);
		gbc_lblHost.anchor = GridBagConstraints.EAST;
		gbc_lblHost.gridx = 0;
		gbc_lblHost.gridy = 0;
		getContentPane().add(lblHost, gbc_lblHost);
		
		serverTextField = new JTextField();
		serverTextField.addKeyListener(new KeyAdapter() {
			public void keyTyped(KeyEvent e) {
				super.keyTyped(e);
				if (e.getKeyChar() == '\n') {
					setVisible(false);
				}
			}
		});
		serverTextField.setText("localhost");
		GridBagConstraints gbc_txtLocalhost = new GridBagConstraints();
		gbc_txtLocalhost.insets = new Insets(0, 0, 0, 5);
		gbc_txtLocalhost.fill = GridBagConstraints.HORIZONTAL;
		gbc_txtLocalhost.gridx = 1;
		gbc_txtLocalhost.gridy = 0;
		getContentPane().add(serverTextField, gbc_txtLocalhost);
		serverTextField.setColumns(10);
		
		JButton btnConnect = new JButton("Connect");
		btnConnect.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				setVisible(false);
			}
		});
		GridBagConstraints gbc_btnConnect = new GridBagConstraints();
		gbc_btnConnect.gridx = 2;
		gbc_btnConnect.gridy = 0;
		getContentPane().add(btnConnect, gbc_btnConnect);

		setModalityType(ModalityType.APPLICATION_MODAL);
		getRootPane().setDefaultButton(btnConnect);
	}
	public String getHost(String host) {
		serverTextField.setText(host);
		setVisible(true);
		return serverTextField.getText();
	}

}
