import java.net.InetAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.util.Enumeration;


public class TCP_IP_Lib {
	public static String getMyIP() {
		String myIP="localhost";
		Enumeration<NetworkInterface> netInterface;
		try {
			netInterface = NetworkInterface.getNetworkInterfaces();
			while(netInterface.hasMoreElements())
			{
				NetworkInterface n = (NetworkInterface) netInterface.nextElement();
				Enumeration<InetAddress> ee = n.getInetAddresses();
				while (ee.hasMoreElements())
				{
					InetAddress i = (InetAddress) ee.nextElement();
					String host=i.getHostAddress();
					if (host.startsWith("172.")) {
						myIP=host;		        	
					} else if (host.startsWith("10.") && myIP.equals("localhost")) {
						myIP=host;
					}
				}
			}
		} catch (SocketException e) {
		}
		return myIP;
	}
}
